Loading...
Searching...
No Matches
field_lazy_terminal_integrate_band_rep< Expr >

## Detailed Description

template<class Expr>
class rheolef::details::field_lazy_terminal_integrate_band_rep< Expr >

Definition at line 679 of file field_lazy_terminal.h.

## Public Types

using | size_type = geo_element::size_type
using | memory_type = typename Expr::memory_type
using | scalar_type = typename Expr::scalar_type
using | space_type = typename Expr::space_type
using | geo_type = typename Expr::geo_type
using | float_type = typename float_traits< scalar_type >::type
using | band_type = band_basic< float_type, memory_type >
using | vector_element_type = Eigen::Matrix< scalar_type, Eigen::Dynamic, 1 >

## Public Member Functions

| field_lazy_terminal_integrate_band_rep (const band_type &gh, const Expr &expr, const integrate_option &iopt)
const geo_type & | get_geo () const
const space_type & | get_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
void | evaluate (const geo_type &omega_K, const geo_element &K, vector_element_type &uk) const

## Protected Attributes

band_type | _gh
Expr | _expr
integrate_option | _iopt
geo_type | _prev_omega_K
size_type | _prev_K_dis_ie
vector_element_type | _prev_uk

## Member Typedef Documentation

## size_type

template<class Expr >

using size_type = geo_element::size_type

Definition at line 683 of file field_lazy_terminal.h.

## memory_type

template<class Expr >

using memory_type = typename Expr::memory_type

Definition at line 684 of file field_lazy_terminal.h.

## scalar_type

template<class Expr >

using scalar_type = typename Expr::scalar_type

Definition at line 685 of file field_lazy_terminal.h.

## space_type

template<class Expr >

using space_type = typename Expr::space_type

Definition at line 686 of file field_lazy_terminal.h.

## geo_type

template<class Expr >

using geo_type = typename Expr::geo_type

Definition at line 687 of file field_lazy_terminal.h.

## float_type

template<class Expr >

using float_type = typename float_traits<scalar_type>::type

Definition at line 688 of file field_lazy_terminal.h.

## band_type

template<class Expr >

using band_type = band_basic<float_type,memory_type>

Definition at line 689 of file field_lazy_terminal.h.

## vector_element_type

template<class Expr >

using vector_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,1>

Definition at line 690 of file field_lazy_terminal.h.

## Constructor & Destructor Documentation

## field_lazy_terminal_integrate_band_rep()

template<class Expr >

field_lazy_terminal_integrate_band_rep | ( | const band_type & | gh,
|  | const Expr & | expr,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 723 of file field_lazy_terminal.h.

## Member Function Documentation

## get_geo()

template<class Expr >

const geo_type & get_geo | ( |  | ) | const

Definition at line 701 of file field_lazy_terminal.h.

## get_space()

template<class Expr >

const space_type & get_space | ( |  | ) | const

Definition at line 702 of file field_lazy_terminal.h.

## is_on_band()

template<class Expr >

bool is_on_band | ( |  | ) | const

Definition at line 703 of file field_lazy_terminal.h.

## get_band()

template<class Expr >

band_type get_band | ( |  | ) | const

Definition at line 704 of file field_lazy_terminal.h.

## initialize()

template<class Expr >

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 737 of file field_lazy_terminal.h.

## evaluate()

template<class Expr >

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | vector_element_type & | uk
| ) |  | const

Definition at line 752 of file field_lazy_terminal.h.

## Member Data Documentation

## _gh

template<class Expr >

band_type _gh

protected

Definition at line 714 of file field_lazy_terminal.h.

## _expr

template<class Expr >

Expr _expr

mutable protected

Definition at line 715 of file field_lazy_terminal.h.

## _iopt

template<class Expr >

integrate_option _iopt

mutable protected

Definition at line 716 of file field_lazy_terminal.h.

## _prev_omega_K

template<class Expr >

geo_type _prev_omega_K

mutable protected

Definition at line 717 of file field_lazy_terminal.h.

## _prev_K_dis_ie

template<class Expr >

size_type _prev_K_dis_ie

mutable protected

Definition at line 718 of file field_lazy_terminal.h.

## _prev_uk

template<class Expr >

vector_element_type _prev_uk

mutable protected

Definition at line 719 of file field_lazy_terminal.h.

The documentation for this class was generated from the following file:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/field_lazy_terminal.h